### Method

# Ggit RevisionWalker push_range

#### Declaration [src]

    void
    ggit_revision_walker_push_range (
      GgitRevisionWalker* walker,
      const gchar* range,
      GError** error
    )

#### Description [src]

Push and hide the respective endpoints of the given range. The range should be of the form: &ltcommit&gt..<commit>, where each <commit> is in the form accepted by revparse. The left-hand commit will be hidden and the right-hand commit pushed.

#### Parameters

`range`

  Type: `const gchar*`

  The range to push.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.